# See https://dbchiroweb.readthedocs.io/fr/latest/docker-install.html
services:

    db:
        image: postgis/postgis:16-master
        restart: unless-stopped
        volumes:
            - dbchiro_db_data:/var/lib/postgresql/data
        environment:
            - POSTGRES_USER
            - POSTGRES_PASSWORD
            - POSTGRES_DB
        networks:
            - dbchiro_net


    dbchiro:
        image: dbchiro/dbchiroweb:latest
        restart: unless-stopped
        env_file:
            - .env
        volumes:
            - dbchiro_app_static:/app/static
            - ./media:/app/media
        networks:
            - dbchiro_net
        ports:
            - 8000:8000
        depends_on:
            - db

    proxy:
        image: nginx:1
        restart: unless-stopped
        volumes:
            - dbchiro_app_static:/usr/share/nginx/html/static
            - ./media:/usr/share/nginx/html/media
            - ./nginx.conf:/etc/nginx/conf.d/default.conf
        networks:
            - dbchiro_net
        depends_on:
            - dbchiro
        ports:
            - 80:80
            - 443:443


volumes:
  dbchiro_db_data:
  dbchiro_app_static:

networks:
  dbchiro_net:
    driver: bridge
